<template>
  <v-container>
    <v-dialog v-model="dialog" persistent max-width="350">
      <v-card>
        <v-card-title v-if="!$store.getters['isMobile']" class="headline blue">
          <v-icon v-if="header.icon">{{ header.icon }}</v-icon>&nbsp;{{ header.title}}
        </v-card-title>
        <v-card-text>{{ text }}</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="red darken-1" flat @click="$emit('cancel')">{{ buttons.cancel}}</v-btn>
          <v-btn color="green darken-1" flat @click="$emit('success', eventName)" >{{ buttons.success}}</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>

export default {
  props: {
    header: {
      type: Object,
      required: true
    },
    text: {
      type: String,
      required: true
    },
    buttons: {
      type: Object,
      required: true
    },
    dialog: {
      type: Boolean,
      required: true
    },
    eventName: {
      type: String
    }
  }
}
</script>
